Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(18)

Issue 100433008: Disable select api for input type number and email (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years, 10 months ago by Habib Virji
Modified:
3 years, 7 months ago
Reviewers:
tkent, jamesr, eae, adamk
CC:
blink-reviews, dglazkov+blink, adamk+blink_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

Disable select api for input type number and email Check in HTMLInputElement to not only check text field but also check if select API is applicable for the input type. This is useful for input type email, where inspite of selectAPI set to false it was working Select API disabled for input type number. R=adamk, tkent BUG=324360 Test=Test for input type number and email to throw an exception if select api is invoked. Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=163928

Patch Set 1 #

Patch Set 2 : #

Total comments: 6

Patch Set 3 : Disable select api for input type number and email #

Patch Set 4 : Updated as per code review #

Unified diffs Side-by-side diffs Delta from patch set Stats (+30 lines, -10 lines) Patch
M LayoutTests/fast/forms/selection-wrongtype.html View 1 2 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/fast/forms/selection-wrongtype-expected.txt View 1 2 1 chunk +14 lines, -0 lines 0 comments Download
M Source/core/html/HTMLInputElement.cpp View 1 2 3 8 chunks +9 lines, -9 lines 0 comments Download
M Source/core/html/forms/NumberInputType.h View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/forms/NumberInputType.cpp View 1 chunk +5 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 10 (0 generated)
Habib Virji
3 years, 10 months ago (2013-12-12 14:05:23 UTC) #1
Habib Virji
Select API disable for input type email and number - Email and number select API ...
3 years, 10 months ago (2013-12-12 18:35:33 UTC) #2
tkent
https://codereview.chromium.org/100433008/diff/20001/LayoutTests/fast/forms/email-selectapi.html File LayoutTests/fast/forms/email-selectapi.html (right): https://codereview.chromium.org/100433008/diff/20001/LayoutTests/fast/forms/email-selectapi.html#newcode1 LayoutTests/fast/forms/email-selectapi.html:1: <!DOCTYPE html> You don't need to add new test ...
3 years, 10 months ago (2013-12-13 00:07:28 UTC) #3
Habib Virji
Updated code as per review comments. https://codereview.chromium.org/100433008/diff/20001/LayoutTests/fast/forms/email-selectapi.html File LayoutTests/fast/forms/email-selectapi.html (right): https://codereview.chromium.org/100433008/diff/20001/LayoutTests/fast/forms/email-selectapi.html#newcode1 LayoutTests/fast/forms/email-selectapi.html:1: <!DOCTYPE html> On ...
3 years, 10 months ago (2013-12-13 12:05:04 UTC) #4
tkent
lgtm
3 years, 10 months ago (2013-12-15 23:43:03 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/habib.virji@samsung.com/100433008/60001
3 years, 10 months ago (2013-12-15 23:43:15 UTC) #6
commit-bot: I haz the power
Change committed as 163928
3 years, 10 months ago (2013-12-16 01:13:09 UTC) #7
kevinsheedy
On 2013/12/16 01:13:09, I haz the power (commit-bot) wrote: > Change committed as 163928 Hi ...
3 years, 7 months ago (2014-02-27 14:12:49 UTC) #8
eae
Could you please file a bug about this and assign it to me? I want ...
3 years, 7 months ago (2014-02-27 16:17:19 UTC) #9
kevinsheedy
3 years, 7 months ago (2014-03-05 15:23:31 UTC) #10
Message was sent while issue was closed.
On 2014/02/27 16:17:19, eae wrote:
> Could you please file a bug about this and assign it to me? I want to
> make sure we stay on top of this issue and that is hard to do without
> a bug.

Thanks eae

I've logged the bug here:
https://code.google.com/p/chromium/issues/detail?id=349432

I don't think I have permission to assign it to you.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa